require_relative 'lib/kodmin/version'

Gem::Specification.new do |spec|
  spec.name          = "kodmin"
  spec.version       = Kodmin::VERSION
  spec.authors       = ["Wu Zixing"]
  spec.email         = ["wzixing@gmail.com"]

  spec.summary       = %q{A ruby client of kong's admin API v2.x.}
  spec.homepage      = "https://github.com/WuZixing/kodmin"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.7.0")

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/WuZixing/kodmin.git"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
